<?php
/**
 * -----------------------------------------
 * @since Version 2.51 - 13.03.2025
 * @version 2.51
 * @link https://www.kontaktformular-script.de/
 * @author Nico Schubert / SchubertMedia
 * @contact E-Mail: info@schubertmedia.de
 *
 * @copyright Das Entfernen des Copyright-Hinweises in diesem Kontaktformular-Skript ist untersagt.
 * @note Eine version ohne Copyright knnen Sie fr einmalig 20,- EUR inkl. 19% MwSt. erwerben.
 * Besuchen Sie hierzu bitte das Bestellformular unter https://www.kontaktformular-script.de/bestellen.php.
 * -----------------------------------------
 *
 * Dieses Skript dient der Konfiguration Ihres Kontaktformulars.
 * Bitte verwenden Sie die folgenden Konstanten, um Pfade, E-Mail-Adressen und grundlegende Einstellungen anzupassen:
 *
 * Wichtige Konfigurationseinstellungen:
 * - DIR: Gibt das Verzeichnis an, in dem das Skript liegt.
 * - LANGUAGE: Der Name des Ordners mit den Sprachdateien.
 * - TEMPLATE: Legt den Namen des Templates im /template-Ordner fest.
 * - EMAIL_ADMIN: Die E-Mail-Adresse des Admins fr Benachrichtigungen.
 * - EMAIL_ABSENDEN: Die E-Mail-Adresse, die als Absender dient.
 * - NAME_WEBSEITE: Der Name Ihrer Website fr die Anzeige.
 * - TITLE_FORMULAR: Der Titel des Kontaktformulars.
 * - NAME_ANSENDEN: Der Name des Absenders in E-Mails.
 * - SHOW_JAVA_ALERT: Aktiviert oder deaktiviert JavaScript-Alert-Meldungen (1 = Ja, 0 = Nein).
 *
 * Debugging:
 * - error_reporting(E_ALL): Aktiviert die gesamte Fehlerberichterstattung.
 * - ini_set('display_errors', '1'): Schaltet die Ausgabe von PHP-Fehlern ein.
 */

/**
 * Pfad zum Verzeichnis, in dem sich das Script befindet
 * @example define('DIR', '/var/www/web1/html');
 * @var string
 */
define('DIR', str_replace('/inc', '', dirname(__FILE__)));

/**
 * Der Name des Verzeichnisses, das die Sprachdateien enthlt
 * @var string
 */
const LANGUAGE = 'de_sie';

/**
 * Pfad zur Sprachdatei
 * @var string
 */
const LANGUAGE_DIR = DIR . '/language/' . LANGUAGE;

/**
 * Template-Name, der sich im Ordner /template befindet
 * @var string
 */
const TEMPLATE = 'standard';

/**
 * Pfad zu den Template-Dateien
 * @var string
 */
const TEMPLATE_DIR = DIR . '/template/' . TEMPLATE;

/**
 * E-Mail-Adresse, an die Benachrichtigungen fr den Admin gesendet werden
 * @var string
 */
const EMAIL_ADMIN = 'deine_mail@deine_webseite.de';

/**
 * Die E-Mail-Adresse, die als Absender dient
 * @var string
 */
const EMAIL_ABSENDEN = 'deine_mail@deine_webseite.de';

/**
 * Name Ihrer Website
 * @var string
 */
const NAME_WEBSEITE = 'deine_webseite.de';

/**
 * Titel der Webseite
 * @var string
 */
const TITLE_FORMULAR = 'deine_webseite.de';

/**
 * Name, der als Absender verwendet wird
 * @var string
 */
const NAME_ANSENDEN = 'Support ' . NAME_WEBSEITE;

/**
 * Legt fest, ob JavaScript-Alert-Meldungen angezeigt werden sollen (1 = Ja, 0 = Nein)
 * @var string
 */
const SHOW_JAVA_ALERT = '0';

/**
 * Aktiviert die Fehlermeldungsausgabe fr alle PHP-Fehler
 */
error_reporting(E_ALL);

/**
 * Zeigt Fehler in der Ausgabe an
 */
ini_set('display_errors', '1');